Delete product image
Permanently removes an image from a product. Requires admin scope.
DELETE
/products/{product_id}/assets/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredOAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Scopes:
adminPath parameters
product_idstringrequiredProduct ID or slug
idintegerrequiredAsset ID
Responses
204Asset deleted
404Resource not found
messagestringRequest
curl -X DELETE "https://api.onbolder.com/v1/products/string/assets/0" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v1/products/string/assets/0", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.delete(
"https://api.onbolder.com/v1/products/string/assets/0",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
Asset deleted
{
"message": "string"
}